
Core - Task # 55820

Status: Resolved Priority: Should have
Author: Jost Baron Category: Extension Manager
Created: 2014-02-09 Assigned To:
Updated: 2014-02-11 Due date:
TYPO3 Version: 6.2
PHP Version:
Complexity: easy
Sprint Focus:
Subject: Improve speed of loading the extension list from TER
Description

See subject, this issue is only for gerrit.

Associated revisions
Revision 2bfb2a64 - 2014-02-11 23:27 - Jost Baron 

[TASK] Improve EM performance when getting extension list from TER

When importing the extension list from TER, each version of each
extension is one database record. For each extension key the EM
calculates the newest version and sets the column 'current_version'
to 1 for the corresponsing extension record.

The old implementation issued one database query for each extension
key, resulting in about 6k queries, taking a long time to execute
(several minutes on my machine). After applying this patch the same
thing is done in three queries, speeding up the process.

Resolves: #55820
Related: #52949
Releases: 6.2
Change-Id: I55d3699a63b13e7c07af4babbf57d0d06f367027
Reviewed-on: https://review.typo3.org/27496
Reviewed-by: Markus Klein
Tested-by: Markus Klein
Reviewed-by: Jost Baron
Tested-by: Jost Baron
Reviewed-by: Oliver Klee
Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters

History
#1 - 2014-02-09 19:33 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27496

2015-08-04 1/2

https://review.typo3.org/27496
https://review.typo3.org/27496


#2 - 2014-02-09 21:49 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27496

#3 - 2014-02-11 13:36 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27496

#4 - 2014-02-11 14:42 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27496

#5 - 2014-02-11 23:30 - Anonymous
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:2bfb2a64ada92c3de9a528609f737d6105af5970.
